### Method

# GimpUi ScaleEntry get_range

#### Declaration [src]

    GtkWidget*
    gimp_scale_entry_get_range (
      GimpScaleEntry* entry
    )

#### Description [src]

This function returns the `GtkRange` packed in `entry`. This can be useful if you need to customize some aspects of the widget

By default, it is a `GtkScale`, but it can be any other type of `GtkRange` if a subclass overrode the `new_range_widget()` protected method.

#### Return value

Returns: | `GtkRange`
| The `GtkRange` contained in `entry`.
| The data is owned by the instance.